Contents

FileAnt Help

I have fixed a couple of things in this help file and given it a new look. This help file is fairly out of date now, but most things in it still ring true. FileAnt now has many more things in it… you will be able to work them out by reading the version history on the main site (and the FAQ).

Menu's ß most of the applications features are accessible here

Toolbar

Keyboard Shortcuts

The AntHill

Using the Viewer

Ftp/Fxp Client

Folder Pie Chart

Ant Utilities

Speedy Tip's

I am often happy J to add any handy utils and features you can dream up or add functionality to existing features, just email me…

I have never lost or damaged files in making FileAnt… but make sure you test menu items you are not sure about on files and folders you do not care about. I.e. do not use the "filename formatting" menu on the windows system folders. Actually while I am typing here… the "filename Functions" are intended to rename mp3’s and such.


KeyBoard ShortCuts

<F2> ... Rename File/Folder

<F3> ... Find Dialog

<F4> ... Filter

<F5> ... Refresh

<F6> ... New Folder

<F7> ... Max

<F8> ... Restore

<F11> ... Open New Tab

<F12> ... Close Active Tab

<Tab> ... Switch between Tabs

<Ctrl> & } ... Move selected Files/Folders between Tabs

<Ctrl> & { ... Copy selected Files/Folders between Tabs

<Insert> ... New Folder

<Del> ... Delete File Folder

<Back Space> ... Go Up one Folder

<Ctrl> & <NumPad+> ... Best Fit Columns

<Shift> & <Del> ... Delete forever (bypass recycle bin)

<Shift> & <Insert> ... Paste

<Ctrl> & <Ins> ... Copy

¯ There are also most other standard explorer shortcut keys.

¯ More shortcut keys are also shown in the menu's.


White Space

Any part of a panel that does not contain selectable items.

Any part of a panel that does not contain icons or filenames.


Tray Icon

¯ Single click the tray icon to hide or show FileAnt.

¯ The tray icon remains open if you close from inside app.

¯ Right click the tray icon to bring up a little menu.

¯ The MP3 player can be used to scan and randomly play your MP3 files. Set up the "base folder" to reduce the initial scan time.

¯ 'Close' in Tray menu will always unload FileAnt and tray icon.


Speedy Tip's

Double Click White Space in a folder to go up a directory.

Right Click White Space to get a menu.

Each panels caption responds to a right click by copying file and folder names to the clipboard.

Double click maximizes the panel. Click the object count to refresh a panel.

Use the Last Folder Visited and a Folder History List are kept in the file menu .

They are also available in the White Space Right Click Context Menu.

The Last Folder Visited is the top item

The Add Delay can be configured also in the file menu .

Right Click a tab to get a menu.

Check out up the Tray Icon

The FileAnt viewer is ideal for sorting out your files (especially Archive Files)

Make sure you have a look at the folder pie.


Using the Viewer

see also 3 Viewer Menu

Click the viewer button.

Select a file to view in the file panel.

That's It!

Use the "Clear Viewer" menu items to free up the memory held by the last viewed file. Particularly if it is a file such as a word document or a pdf.

The <up> and <down> arrow keys are useful to switch between files

The following formats are supported (this list is not exhaustive.. and if you look at the HKET_LOCAL_MACHINE software OneHundredAngryAnts Key in the registry you may be able to add more):

Sounds & Movies

".wav", ".mid",".au", ".snd", ".mp3", ".mp2", ".dat", ".m3u", ".mp3", ".mpv2"
".avi", ".aif", ".aiff", ".aifc", ".m1v", ".mov", ".mpa", ".mpe", ".mpeg", ".mpg", ".qt"

Pictures

".bmp",".jpg",".jpeg",".bmp",".gif",".ico" enhanced metafiles

Archives

".exe",".zip",".ace",".arj",".rar"

fileant will read all the volumes at once quite quickly

just ask if you want me to add more archive formats.. it is pretty easy

Web

".htm", ".html", ".shtml", ".eml", ".dir", ".xmb", ".plg", ".asp"
".htw", ".its", ".url", ".wrl", ".wrz", ".vrml", ".viv", ".pdf", and all ie related docs

and most office documents if office is installed

Other

".scr",".rtf"

¯ All others are treated as ".txt" ...

There is a "Strip ASCII" option in the viewer menu.. this is quite safe to use and it will remove all ASCII 2 characters from the file for display only.


The AntHill

The AntHill is intended as a more efficient replacement for the Folder Tree.

It uses far less resources and can be customized to just contain the folders you tell it to.

The version button at the bottom right will show you the full path for an item (if it fits). The FileAnt Caption shows the path also.

Virtual items that do not have a path cannot be added at this stage. (ie. Control Panel)

To add a folder just browse to the folder you want to add.

Right click White Space and select Add to AntHill

.. or just drag folders onto it.

To remove an item.

Click the FileAntVersion Number in the bottom right. The AntHill will then turn red (delete mode). Just click a link to remove it or click anywhere in the red area to exit delete mode.

The info panel at the top of the ant bar.

¯ Shows Disk info for current panel. (update frequency depends on the type of disk)

¯ Shows File info for currently selected file/folder. (the strange looking names are DOS Names for the file/folder). Click to copy the filename and path to the clipboard. You can also use the panel title bar to insert a folder path into the clipboard.

¯ File and folder Attributes are shown in the little boxes. Clicking can change these.


Panel Tab Right Click Context Menu

4 Menu's

3 Toggle Viewer

New File Tab/Panel

3 New Panel

Creates a new panel. Also, if you double click a tab a new panel is created with the same folder as that tab.

3 Swap Sides

Move the panel to other side

If there is only one panel left on the side you are moving it from then it is swapped with the currently active tab on the other side.

3 Close

Same as Close Active Tab in the Window Menu

Closes currently selected Tab/Panel


Menu's

3 File 3 Edit 3 View 3 Configure 3 Pie 3 Utilities 3 Viewer 3 Window

Right Click Context Menu's

3 File Panel

3 Panel Tabs


Right Context

File Panel Right Click Context

4 Menu's

To get this Menu Right Click White Space in the Panel.

3 Paste

Edit Menu

3 New Folder , 3 New File , 3 Open With., 3 Filter , 3 Find , 3 Properties

File Menu

3 Sort by

Sorts the file panel by Name,Size,Type,Date Ascending

Spelt backwards.. Descending


Filter

see also 3 File 3 File Panel Right Click Context

¯ The filter can be used to show only specific files in the panel.

¯ The filter extensions can be edited/changed by Right Clicking them with the Mouse

¯ The panel updates automatically as you change the filters.

¯ Click another panel or tab for the filter to be applied here as well (if the main filter dialog is open)

¯ You can also access the filter on the AntHill and click the filter and unfilter buttons. Right click to get a filter history (also now on the panel right click context menu).

N Do not forget to unfilter the panel(s) when you finish.

¯ To do this,

Use the AntHill Unfilter button

or

Open Filter Tool window again and..

Click the filter tool window anywhere

or

Select the filter list and hit del

or

Check and Uncheck a group

or

Close and Re-Open the Panel


Using the control key to select files

To select specific multiple files hold down the <CTRL> key before clicking each file.

This allows you to select file(s) "out of order" without losing your previous selection(s).

This also works for the <Arrow keys> & <CTRL>+<SPACE Key>.


File Menu

4 Menu's

3 New Folder

Create a new directory.

3 New File

Create a new file.

3 Rename

Rename existing file.

3 Open With.

Open a file with an unassociated program.

3 Filter

3 Send Mail..

Sends selected files with outlook (only works with outlook currently).

3 File CRC32

Generates a 32 bit CRC for selected file(s). 6 May take a while for large files.

3 Find

Windows find dialog.. (Base folder will be currently selected tab)

3 Desktop

Set selected tab's folder to the desktop.

3 Properties

Properties dialog (For selected tab if no File(s)/Folder(s) are selected)

3 .. for type(s)

Properties for selected type(s). JYou only have to select ONE file of each type.

see also.. Using the control key to select files

3 Exit

Exit proggy (tray stays alive)

3 Last Folder Visited

Last Folder Visited

J Handy for matching up panels :

eg. 1. Click Left Panel

2. Right click Right Panel

3. The Last Folder Visited should now display Left Panel's folder

3 Folder History List

FileAnt Remembers where you have been for you.

3 Add Delay

Delay before FileAnt "Remembers" (see above)


Viewer Menu

4 Menu's

3 Clean ASCII

Special function to strip non-readable characters out any file.

This is non destructive. (The file will not be altered in any way)

If you wish to use the stripped text in another program then Select All <CTRL>&<A> and copy the text to the clipboard <CTRL>&<INSERT> or <CRTL>&<C>.

The progress bar shows textbox limit in red, file size in blue & size after strip in green.

3 Max tabs for viewer

Check this to have the panel maximize whenever a viewer is open.

3 Text Box Limit

Use this to assign an upper limit to the number of characters in the text viewer.

3 Html as ASCII

Check this to display html as text. (shortcut key <CTRL>&<H>

3 Auto Size large images

Shrink large images to fit viewer (gif files will not shrink as they may be animated).

3 Allow Multiple Screensavers

Show screensavers on top of each other.

3 Select All (Text)

Selects all text in the viewer.

3 Clear Active Viewer

Cleans up the viewer for the active panel.

3 Clear All Viewers

Cleans up the viewer for all panels.


Edit Menu

4 Menu's

3 Edit

Edit Selected File with Notepad

see also.. Configuration menu to change editor

3 Cut

Place selected File(s)/Folder(s) in Clipboard (for a move)

see Keyboard Shortcuts for extra keys

3 Copy

Place selected File(s)/Folder(s) in Clipboard (for a copy)

see Keyboard Shortcuts for extra keys

3 Paste

Place selected File(s)/Folder(s) from Clipboard to Selected Tab Folder

see Keyboard Shortcuts for extra keys

3 Select all

Selects all Files and folders in selected tab

3 Select Type(s)

Selects only selected extensions. . You only have to select ONE file of each type.

see also.. Using the control key to select files

3 Unselect Type(s)

Selects only fully selected extensions. . You only have to de-select ONE file of each type.

see also.. Using the control key to select files

Hint: 1.Select All (in a folder with mor than one ".exe" in it)

2.<CTRL>&<Click> one ".exe" file

3.Try this menu now

3 Invert Selection

Selected files become UnSelected

UnSelected files become Selected


View Menu

4 Menu's

3 Pie Chart

Open/Close Viewer Panel

Directory Size Read is turned On/Off respectively

3 Toggle Viewer

Open/Close Viewer Panel

3 Large Icons, Small Icons, List & Details

Sets the view for all panels at once

Note : Use toolbar for just one panel (List & Details Buttons)

3 Initial View

Set the initial view to Large Icons, Small Icons, List or Details when FileAnt starts

3 Hide 'Type' Column

Shrinks the File Type column. (leaves a bit to allow sorting by extension)

3 Tile FV Vertical

Toggles Viewer position (works when the viewer is not active ie. you can click this before opening the viewer)

3 Refresh

Refreshes active panel.

3 Dump Folder Size Cache

Empties the folder size cache. Used when

Note : Only large folders are cached.


The Configure Menu

Configure Menu

4 Menu's

3 Default Editor

Choose your favorite text editor.

3 Disable Tree

I use this myself as I do not use the tree much.. folder access is slightly faster as the tree does not have to track the file system and refresh.

3 Full Path in Tab Bar

Show the directory path in tabs.

3 Tab Bar on Bottom

Show Tabs Down the bottom of screen.

3 Show Grid Lines

Show panel Gridlines.

3 Directory Size Read

Displays folder sizes next to folders.

The Pie Chart turns this on when it starts and off when it is closed.

Slows down Folder Changes considerably. Intended for occasional use.

3 Global Memory in Caption

Places Statistics in Caption.

3 Change Fonts

Tabs, Panel & Viewer Fonts can be set here.

3 Change Colours

Colours can be dynamically changed here.

At least one item in FileAnt will change as you change the colour so you can see the effect instantly.

3 Remember Folders

FileAnt Saves Folder locations on the fly (Disables Set Folders while checked)

3 Set Folders

Explicitly set the directories FileAnt Starts with.

3 Initial No. of Tab's

Set the number of panels FileAnt Starts with.

I will also add an option here to start with same number as last time.

3 Startup : Effects the way FileAnt Starts..

3 Do not load when windows loads.

3 Start AntTray when windows loads.

3 Start FileAnt an AntTray when windows loads.

3 Minimized

FileAnt Starts Minimized.

3 Minimize to Tray

Hides FileAnt to the tray when it is minimized.


FtpClient

Ftp/Fxp Client (FtpAnt)

Contents

Notes:

¯ If you find it has problems with another particular type of server, send me an address and login account if required (not your own personal accounts) and I will do my best to see what the problem is and fix it.

¯ The most likely problem will be that files do not list correctly. There is no common standard amongst servers for this.

¯ Most Microsoft ftp servers do not allow Fxp (in theory to protect themselves from bounce attacks)

FtpAnt

FtpAnt has the following features:

Simultaneous transfers

RAPIDFIRE (see below)

FXP (with progress bars) (FXP is currently unavailable because I changed the way code works a low level.. when I do get it working again it will be nice)

Smart Cache

FtpAnt has a "Lame" queue… which I will improve… it is not really needed anyway as fileant rarely (if ever messes up a download)… and as fileant checks for file sizes b4 download you can redrag the all the files again and it will skip complete files and resume others.

Intelligent Resume… small files are never resumed… the first packet of a file after the resume is checked against the existing file for integrity.

Ftp Bookmarks

Ftp sites are entered here.

The right mouse button is used to add site folders.

The right mouse button is then used to add sites to these site folders.

<F2> to rename items.

<Delete> deletes items

The section "Ftp Settings" is used to set up Default Properties for newly created sites.

Site Properties

HOST : The site

USER : Username

PASS : Password

Resume Mode

0 : no resume

1 : resume

2 : auto detect

Command Timeout

Number of seconds to wait before flushing the command wait cue.

Connect Retries

The number of times to auto re-connect if disconnected

Auto-Reconnect

Re-connect if disconnected

0 : No

1 : Yes

Retry Delay

The number of seconds to wait to re-connect if disconnected

Maximum Workers

Number of FtpAnt processes to spawn for simultaneous transfers.

The workers do the uploading/downloading etc.

This can now be changed while connected.. using <n>.

Where n = number of configured workers.

A worker will wait till it has finished a task b4 unloading itself.

You can "Force" a worker to close by double clicking its close button twice.

PASV Mode

0 : off

1 : on

Rapid Fire Mode

0 : off (wait for response(s) from server)

1 : instant (group commands)

2 : 100 ms

3 : 150 ms

4 : 200 ms

...and so on

Rapid fire mode is an idea i had.

Basically ftp commands are fired off to the server as a group or quickly without waiting. 0 or 1 are usually the best settings.

If a server stops responding… Disconnect and set to 0

FtpAnt is aware of which sequences it must wait for.

This is compliant with the TCP/IP specification.

Microsoft ftp servers seem to actually ignore commands that are sent close together (Strange… maybe flood protection).

A setting of 1 works very nicely on SERV-U servers (which I tested on first) and many other good servers.

The net effect is that you wait half the time for directory listings or anything that involves a command sequence.

Purple text in the log denotes.. that FtpAnt is waiting

Blue text denotes that it has been RAPIDFIRE'd

Worker Timeout

The number of seconds that a worker should idle for before disconnecting.

Stay Connected

Not supported yet. (next version of FtpAnt)

The command to send during idle to create an impression of activity.

Usually NOOP (No Operation) but you could set it to others such as STAT or LIST even.

ASCII Files

Files to treat as text files for downloads.

Port

Remote Port For the control connection (usually 21)

Initial Dir

Remote folder to change to.

Initial Local Dir

(may not be implemented yet)

Local Folder to change to (if the other panel is a file panel at the time)

Connecting to an FTP Site

Double click the site that you have created.

Return/Enter Key also works for this.

Disconnecting from an FTP Site

You can allow a worker to close by clicking its close button once.

w0 is the "Master Worker" or "The folder browser" if you close him then the other workers will close after the finish their current job.

You can "Force" a worker to close by double clicking its close button twice.

If you want to empty the Queue then select all the files in the queue and hit <Del>.. or close FileAnt completely using the tray and restart in the start menu (this empties FileAnts Special Folders).

Using FXP

Simply connect to another site and Drag and Drop files between them.

Not all servers support FXP.

Note: Fxp is currently disabled in fileant!!! Will be able to use this again one day if I get up to it.


Window Menu

4 Menu's

3Tile Horizontal & 3Tile Vertical

Tiles Panels. Also on Toolbar

3Maximize

Max Panels. Also on Toolbar

3Restore

Restore Max'ed Panels. Also on Toolbar

3New File Manager

Create new Tab/Panel & File Manager

3New Ftp Session

Create new Tab/Panel & Ftp Client

3Close Active Tab

Close currently selected Tab/Panel


Pie

To show a pie chart of the computers contents click this button on the toolbar..

The Pie can be used to see what is using up you disk space.

It can be telescopically browsed.

Left click a folder to go into it. (ie. Down a level)

Left click the space surrounding the pie to Go Up a level.

It can also be used to view delete, and get properties of disk objects.

see also.. Pie Menu for further explanation of click functionality.

I also had fun with the colours etc. for the pie.

Look at the Change Colours Menu in the config menu for where to do this.

Use the filter to view only certain files in the pie chart.


Pie Menu

4 Menu's

see also.. Pie

3 Right Click & 3 File Left Click

3 Views

Views the clicked file (Important : You must hold the mouse button down)

3 Shows Properties

Displays the properties dialog for the clicked file/folder.

3 Delete

Deletes the clicked file/folder.

3 Does Nothing

You guessed it!

3 Opens File

Launches the clicked File

3 Label Format

Sets how the file/folder sizes are displayed on the labels.

3 % for small

Sets the percentage at which small files and folders grouped together.

If this is smaller you will see more files & folders.


Syncronizer

Synchronizer

¯ The 'Preview' button can be useful even if you do not need to sync folders. (i.e to compare directories)

No files will be copied until you hit the 'Synchronize' Button

The 'Synchronize' Button is the only button which will act on your files.

¯ Modified, Created, Size, and Accessed check boxes are use by the preview to

determine what to compare.

¯ If there are any clashes in the list then Modified gets highest priority, Accessed

the Lowest.

¯ If you turn on "Confirm Modified/Created Clashes" you then get a standard windows copy dialog for any clashes.

A clash example :

Folder1/File.ext Folder2/File.ext

Modified Date = 2000/02/02 < Modified Date = 1900/02/02

Created Date = 1900/02/02 > Created Date = 2000/02/02

¯ "Match" is the filter to be used.

¯ "Clear Any Read Only Attribute" is mainly there for syncing from CD's.

¯ The sync'er can also be used for copies from Disk's (floppies, hard, cd's...) containing CRC errors as it copies files 1 at a time.

¯ Hit preview again after synchronization to check for failures.

Important..

¯ Across a network.. make sure both PC's Date/Times are set correctly.

¯ There is 32000 file limit.. (may be removed one day.)


Date Editor

¯ This Utility can be used to change a files date attributes.

¯ You can look at a files dates by left clicking it.

Check the file(s) you wish to alter the dates of.

Fill in the date fields.

You can automatically fill in the date fields by right clicking a file or clicking the current time display (which is orange).

Fill in the increment values (if you need the file dates to be staggered).

The increment will start from the second checked file and move down the list of checked files as sorted.


Utilities Menu

4 Menu's

3 Format Floppy

Standard Format Dialog

3 Copy Disk

Standard Copy Disk Dialog

3 Syncronize Folders

See Synchronizer

3 Edit File Dates

See Date Editor

3 Edit File Attributes

This lets you set the attributes of files and folders… simply select the folder you wish to effect and use the check boxes to add or remove all attributes for that folder. If you select Recurs Subdirectories then all files under in folders under that folder will also be affected. If you select "Folders" then folder attributes will also be affected. File Spec lets you mask the files that are altered.

I am often happy J to add any handy utils you can dream up

or add functionality to existing ones.


Toolbar

é___é___é___________é_________é______é_____________é

Go Up Folder Properties Panel View Find Show & Position Max & Restore

Pie Styles Viewer

é___é______é________é______é____é________é

NewFtp NewPanel Close Back&Forward Tree Show Anthill Custum Toolbar Items .. shortcuts in

The new toolbar has a few more items and drag and drop of things to it (right click to remove item)

C:\Program Files\FileAnt\Toolbar

The above folder is where the custom toolbar items are stored (any type of shortcut)

If you drag and drop on to a custom icon then it will be launched with what ever you dropped on to it.

Shortcuts can also be added to the Tools by adding shortcuts to C:\Program Files\FileAnt\Toolbar.